<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CurrentState Property (IEdmFile5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile5 Interface : CurrentState Property (IEdmFile5)

Visual Basic
C#
C++/CLI
Gets the file's current workflow state.

# Syntax

Visual Basic |
--- | ---

    ReadOnly Property CurrentState As IEdmState5

C# |
--- | ---

    IEdmState5 CurrentState {get;}

C++/CLI |
--- | ---

    property IEdmState5^ CurrentState {
       IEdmState5^ get();
    }

#### Property Value

Current workflow state of the file

# Example

Get File's State Transitions (C#)
Get File's State Transitions (VB.NET)

# See Also

####

IEdmFile5 Interface
IEdmFile5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2